<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWoffPatternTable extends Migration
{
    public function up()
    {
        Schema::create('Woff_Pattern', function (Blueprint $table) {
            $table->bigIncrements('WOP_id');
            $table->string('WOP_name', 100)->nullable();
            $table->string('WOP_code', 50)->nullable();
            $table->text('description')->nullable();

            $table->boolean('Is_Active')->default(1);

            $table->timestamp('created_at')->nullable();
            $table->timestamp('updated_at')->nullable();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    public function down()
    {
        Schema::dropIfExists('Woff_Pattern');
    }
}
